This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 830793 - friendlier and easy to understand status message in case the set volume fails
friendlier and easy to understand status message in case the set volume fails
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 08:41 EDT by Sabyasachi Ruj
Modified: 2013-07-24 13:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:17:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sabyasachi Ruj 2012-06-11 08:41:40 EDT
Description of problem:

I think the "gluster volume set <volume>..." command should say "set volume failed" instead of saying "set volume unsuccessful". It would more readable and quick to scan.

How reproducible: always

Steps to Reproduce:
1.

try the following command:

  gluster volume set <wrong-vol-name> <key> <value>


Actual results:

  It will output: "Set volume unsuccessful"

Expected results:

  It should say in a clear tone: "Set volume failed"
Comment 1 Amar Tumballi 2012-07-11 01:14:24 EDT
more like subset of bug 837811, will be addressed soon
Comment 2 Amar Tumballi 2012-11-29 06:22:05 EST
 http://review.gluster.com/3753

Note You need to log in before you can comment on or make changes to this bug.